Subject: Re: [PATCH] atl1: disable 64bit DMA

From: Jeff Garzik <[email-masked]>
Date: Mon, 25 Jun 2007 19:17:16 -0400

Jay Cliburn wrote:
> On Mon, 25 Jun 2007 17:57:20 -0400
> Chris Snook <[email-masked]> wrote:
> 
>> Jay L. T. Cornwall wrote:
>>> Chris Snook wrote:
>>>
>>>> What boards have we seen this on?  It's quite possible this is:
>>> I can reproduce on an Asus P5K with a Core 2 Duo E6600.
>>>
>>> lspci identifies the controller as:
>>>   02:00.0 Ethernet controller: Attansic Technology Corp. L1 Gigabit
>>>   Ethernet Adapter (rev b0)
>>>
>>> dmesg notes the PCI-DMA mapping implementation:
>>>   PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
>>>
>> I had a hunch this was on Intel.  I'd rather just disable this when
>> swiotlb is in use, unless we get more complaints.  It's probably
>> ultimately a BIOS quirk anyway.
> 
> So far we have reports from both camps:
> 
> Asus M2N8-VMX (AM2):	1 report of lockup
> http://sourceforge.net/mailarchive/forum.php?thread_name=46780384.063603.26165%40m12-15.163.com&forum_name=atl1-devel
> 
> Asus P5K (LGA775):	2 reports of lockups
> http://sourceforge.net/mailarchive/forum.php?thread_name=467E7E34.4010603%40gmail.com&forum_name=atl1-devel
> http://lkml.org/lkml/2007/6/25/107
> 
> The common denominator in these reports is 4GB RAM.

Although its possible this device doesn't really support 64-bit, it's 
more likely that this is a platform problem of some sort, or a driver 
bug of some sort.  In the driver, maybe it has a problem when you 
-cross- a 4GB boundary, which is not uncommon.

	Jeff